{ lib, buildNimPackage, fetchFromGitea, fontconfig, pkg-config, syndicate }:

buildNimPackage rec {
  pname = "fontconfig_actor";
  version = "20230330";
  nimBinOnly = true;

  src = fetchFromGitea {
    domain = "git.syndicate-lang.org";
    owner = "ehmry";
    repo = pname;
    rev = version;
    hash = "sha256-033b1Wy1GLgLC6VIT3LhGJg1vTkImq2vnOGP3lF/FLc=";
  };

  nativeBuildInputs = [ pkg-config ];
  buildInputs = [ fontconfig syndicate ];

  meta = src.meta // {
    description = "Syndicate actor for asserting Fontconfig information";
    maintainers = [ lib.maintainers.ehmry ];
    license = lib.licenses.unlicense;
  };
}
